function TMO_example(example)
%{
		To run predefined examples
		The sets of parameters are in TMO_param.m

		For the moment (2016-04-26), the variants are for the parameters
		init and reTriang
%}

switch example

	% Alpine 2D
	case 1
	TMO_Monte(3,1,150,2,11); % Plots and animation
	
	case 2
	TMO_Monte(3,1,100,2,12); 
	case 3
	TMO_Monte(3,1,100,2,13);
	case 4
	TMO_Monte(3,1,100,2,14);
	case 5
	TMO_Monte(3,1,50,2,21); % PDF and CDF
	case 6
	TMO_Monte(3,1,50,2,22);
	
	
	% Brush (2D)	
	case 7
	TMO_Monte(3,8,100,2,11); % Plots and animation
	
	case 8
	TMO_Monte(3,8,100,2,12); 
	case 9
	TMO_Monte(3,8,100,2,13);
	case 10
	TMO_Monte(3,8,100,2,14);
	case 11
	TMO_Monte(3,8,50,2,21); % PDF and CDF
	case 12
	TMO_Monte(3,8,50,2,22);
	
	otherwise
	fprintf('\n Sorry, the example %i is not defined \n',example)
	return
	
end

end
