function rnd=bellLike(a,b, nRnd, nSum)
%	Sample nRnd random numbers from a bell-like distribution
% The higher nSum, the more similar to the Normal distribution
% The support is [a, b]
% The mean is (a+b)/2
rnd=zeros(1,nRnd);
for k=1:nSum
  rnd=rnd+rand(1,nRnd);
end
rnd=a+(b-a)*rnd/nSum;
end


