function tri=triang(pos)
%{
	pos			List of positions of dimension D
	tri			List of "triangles" built on these positions.
					For D=1, a "triangle" is an interval
					For D=2, really a triangle
					For	D=3, a tetraedron
					etc.
%}
[nbPos,D]=size(pos);
switch D
  case 1 % The positions are supposed to be sorted

    for t=1:nbPos-1
      tri(t,1)=t; 
      tri(t,2)=t+1; 
    end
    
  case 2
    xp=pos(:,1);
    yp=pos(:,2);
    tri=delaunay(xp',yp');
    
  otherwise
    tri=delaunayn(pos);
end
end
