function [GetFunInfoAddr, FuncAddr]=Addr(funSet)

switch funSet
  case 1
    CEC2011Dir = 'CEC 2011 Benchmarks';
    addpath(['./', CEC2011Dir]);
    addpath(['./', CEC2011Dir, '/Probs_1_to_8']);
    addpath(['./', CEC2011Dir, '/Prob_9_Transmission_Pricing']);
    addpath(['./', CEC2011Dir, '/Prob_10_Circ_Antenna']);
    addpath(['./', CEC2011Dir, '/Probs_11_ELD_Package/DED Codes']);
    addpath(['./', CEC2011Dir, '/Probs_11_ELD_Package/ELD Codes']);
    addpath(['./', CEC2011Dir, '/Probs_11_ELD_Package/Hydrothermal Codes']);
    addpath(['./', CEC2011Dir, '/Probs_12_to_13_Package']);
    GetFunInfoAddr = @CEC2011get_fun_info;
    FuncAddr = @CEC2011func;
    fprintf('\nCEC 2011 Real world problems');
    
  case 2
    addpath('./CEC 2005 Benchmarks');
    GetFunInfoAddr = @CEC2005get_fun_info;
    FuncAddr = @CEC2005func;
    fprintf('\nCEC 2005 Problems');
    
  case 3
% Other functions: 
%		Alpine, Tripod, Gear Train, Pressure vessel, Lennard-Jones, etc.
%			See /Myfunctions/get_fun_info.m	for details					
    addpath('./MyFunctions');
    GetFunInfoAddr = @get_fun_info;
    FuncAddr = @func;
    fprintf('\nMy functions');
end

end

