function f=TSP6eval(x)
persistent graph
infinity=10000;
graph=...
[0 10 5 15 infinity infinity;...
 10 0 infinity 10 8 infinity; ...
 5  infinity 0 infinity infinity 9;...
 15 10 infinity 0 8 8;...
 infinity 8 infinity 8 0 15;...
 infinity infinity 9 8 15 0];
 
 N=6;

% x => 6 integers
u(1)=x;
u(2)=floor(x/10);
ind1=1; ind2=2;

for k=1:N
	n(k)=u(k) - 10*u(k+1);
	u(k+2)=floor(u(k+1)/10);
end

n=round(n);
% Constraint: all n_i in {1 2 3 4 5 6}
g1=0;
for k=1:N
	if n(k)>N || n(k)==0
		g1=g1+1;
	end
end

% Constraint: all n_i different
un=unique(n);
g2=length(n) -length(un);

f=g1+g2;

if f>0 
	f=infinity*f;

else
% Computes the value of the tour

	for k1=1:N-1
			f=f+graph(n(k1),n(k1+1));
	end
	f=f+graph(n(1),n(N));
end

end
