function [nbExperiment,init,reTriang,reuseInit,allPos,around,distrib,morph,...
					rnk,estime,opp,runPlot,plotLand, plotFacet,plotStep,plotLast,...
					plotAnim,plotDistrib,nbBins,verbose]=TMO_param(paramSet)
fprintf('\n paramSet %i \n',paramSet)
switch paramSet
case {11,12,13,14} % Plots the landscape and the triangulations
nbExperiment=1;
 init=2;
 reuseInit=false;
 allPos=true;
 around=1;
 distrib=1;
 morph=1;
 rnk=1;
 estime=0;
 opp=1;
 runPlot=1; 
 plotLand=true; 
plotStep=1; 
plotLast=0;
plotAnim=true;
plotDistrib=false; nbBins=0;
verbose=1;

	switch paramSet
		case 11
		 reTriang=1; % Complete retriangulation at each time step
		 plotFacet=1; % Plots the triangulation
		case 12
		 reTriang=1;
		 plotFacet=3; % Plots triangulation and surrogate function
		case 13
			reTriang=Inf;
		 plotFacet=1;
		case 14
				 reTriang=Inf;
		 plotFacet=3;
	end


case {21,22} % Plots the PDF and the CDF
nbExperiment=100;
 init=2;
   %or reTriang=Inf;
 reuseInit=false;
 allPos=true;
 around=1;
 distrib=1;
 morph=1;
 rnk=1;
 estime=0;
 opp=1;
 runPlot=0; 
plotLand=true;
plotFacet=0; 
plotStep=0; 
plotLast=0; 
plotAnim=false;
plotDistrib=true; nbBins=10;

verbose=0; 

	switch paramSet
		case 21
			reTriang=1;
		case 22
			reTriang=Inf;
	end

end
