function pos=initRand(quantis,S)
% Randomly initialises S positions
% Remember the search space is normalised [0,1]^D

D=length(quantis);
for s=1:S
  pos(s,1:D)=rand(1,D);
end

% If needed some coordinates are discretised
if sum(quantis>0)
  for s=1:S
    pos(s,:)=quantify(pos(s,:),quantis);
  end
end
end
